Bug 500356 - (CVE-2009-1581) CVE-2009-1581 SquirrelMail: CSS positioning vulnerability
CVE-2009-1581 SquirrelMail: CSS positioning vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.squirrelmail.org/security/...
reported=20090512,public=20090512,imp...
: Security
Depends On: 500790 500791 500792 500793 500794 833981
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 08:33 EDT by Jan Lieskovsky
Modified: 2012-06-20 10:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 13:47:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-05-12 08:33:30 EDT
From Squirrelmail vulnerability report:

An issue was fixed that allowed phishing and cross-site scripting (XSS) attacks to be run by surreptitious placement of content in specially-crafted emails sent to SquirrelMail users.

Credits: Luc Beurton

Patch: 
http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail?view=rev&revision=13667
Comment 1 Fedora Update System 2009-05-12 09:07:32 EDT
squirrelmail-1.4.18-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/squirrelmail-1.4.18-1.fc9
Comment 2 Fedora Update System 2009-05-12 20:20:59 EDT
squirrelmail-1.4.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2009-05-12 20:22:34 EDT
squirrelmail-1.4.18-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-05-12 20:23:50 EDT
squirrelmail-1.4.18-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Jan Lieskovsky 2009-05-14 14:08:24 EDT
CVE-2009-1581:

functions/mime.php in SquirrelMail before 1.4.18 does not protect the
application's content from Cascading Style Sheets (CSS) positioning in
HTML e-mail messages, which allows remote attackers to spoof the user
interface, and conduct cross-site scripting (XSS) and phishing
attacks, via a crafted message.
Comment 7 errata-xmlrpc 2009-05-26 13:31:19 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1066 https://rhn.redhat.com/errata/RHSA-2009-1066.html

Note You need to log in before you can comment on or make changes to this bug.